#!/bin/sh
dir=$(cd -P -- "$(dirname -- "$0")" && pwd -P)
cd $dir;
export CURRENT_DEF='./results/routing/fpga_top.def';
export DESIGN_NAME='fpga_top';
export DIE_AREA='0.0 0.0 2000.0 2000.0';
export MAGIC_DEF_LABELS='1';
export MAGIC_DEF_NO_BLOCKAGES='1';
export MAGIC_DISABLE_HIER_GDS='1';
export MAGIC_GDS='./results/signoff/fpga_top.magic.gds';
export MAGIC_GENERATE_GDS='1';
export MAGIC_MAGICRC='pdk/sky130A/libs.tech/magic/sky130A.magicrc';
export MAGIC_PAD='0';
export MAGIC_ZEROIZE_ORIGIN='0';
export PACKAGED_SCRIPT_0='openlane/scripts/magic/def/mag_gds.tcl';
export PACKAGED_SCRIPT_1='openlane/scripts/magic/def/read.tcl';
export PLACE_SITE_HEIGHT='2.720';
export PLACE_SITE_WIDTH='0.460';
export SCRIPTS_DIR='openlane/scripts';
export TECH_LEF='pdk/sky130A/libs.ref/sky130_fd_sc_hd/techlef/sky130_fd_sc_hd__nom.tlef';
export signoff_results='./results/signoff';
TOOL_BIN=${TOOL_BIN:-magic}
$TOOL_BIN -dnull -noconsole -rcfile $MAGIC_MAGICRC < $PACKAGED_SCRIPT_0
